Subject: early probes with application data?

From: Martin Duke <[email-masked]>
Date: Fri, 3 Apr 2020 16:13:37 -0700

So are senders allowed/encouraged to send 1-RTT packets in PTO probes
before the handshake is complete? The recovery draft is very clear that I
am not to arm the PTO timer based on outstanding 1RTT, but when the timer
fires for a different PN space, am I able to send some 1RTT or 0RTT stuff
along for the ride?

---

From: Ian Swett <[email-masked]>
Date: Sat, 4 Apr 2020 09:24:24 -0400

Yes, it's encouraged to coalesce 1-RTT packets when PTO fires if there's
in-flight data in 1-RTT.

>From Sending Probe Packets
<https://github.com/quicwg/base-drafts/blob/master/draft-ietf-quic-recovery.md#sending-probe-packets>:
"In addition to sending data in the packet number space for which the timer
expired, the sender SHOULD send ack-eliciting packets from other packet
number spaces with in-flight data, coalescing packets if possible."